
BlowfishTest := UnitTest clone do(
	type := "BlowfishTest"
	
	testBasic := method(
		s := "This is a test."
		
		/*
		Sequence asChars := method(
			b := Sequence clone
			self foreach(i, v, b write(v asString, " "))
			b
		)
		*/
		
		bf := Blowfish clone
		bf setKey("secret")
		bf setData(s)
		
		//writeln("original:  ", bf data asChars)
		
		bf encrypt
		//writeln("encrypted: ", bf data asChars)
		
		bf decrypt
		//writeln("decrypted: ", bf data asChars)
		
		bf data = bf data slice(0, bf data size)
		
		assertEquals(bf data asString, s)
	)
)