#!/usr/local/bin/ioServer

Curses init
Curses clear
Curses setForegroundBlue

BrowserColumn := Object clone do(
  object := Object
  x := 0
  y := 0
  selectedSlotName := "block"
  display := method(
    dy := y
    catchException("Curses.move",
    object foreach(slotName, slotValue,
      if (selectedSlotName == slotName, Curses setBackgroundBlue, Curses setBackgroundWhite)
      Curses move(dy, x) print(slotName)
      Curses move(dy, x+20) print("| ")
      
      slotType := getSlot("slotValue") type

      if (slotType == "Object", 
        Curses print("*" + getSlot("slotValue") type)
      ) elseif (slotType == "String", 
        Curses print("\"" + slotValue + "\"")
      ) elseif (slotType == "Number", 
        Curses print(slotValue asString)
      ) else (
        Curses print("*" + getSlot("slotValue") type)
      )
      dy++
    ), 1
    )
  )
)

BrowserColumn display
Curses refresh

  charNum := Curses getCh 
/*
while (1, 
  charNum := Curses getCh 
  char := charNum asCharacter
)
*/

Curses end
