VectorTest := UnitTest clone do(
	type := "VectorTest"
	
	test_1_Add := method(		
		v1 := vector(1, 2, 3)
		v2 := vector(4, 5, 6)
		
		v3 := v1 + v2
		v4 := vector(5, 7, 9)
		assertEquals(v3, v4)
	)
		
	test_2_Subtract := method(		
		v3 := v2 - v1
		v4 := vector(3, 3, 3)
		assertEquals(v3, v4)
	)
		
	test_3_Multiply := method(		
		v3 := v2 * v1
		v4 := vector(4, 10, 18)
		assertEquals(v3, v4)
	)
		
	test_4_Dot := method(		
		v3 := v1 dot(v2)
		v4 := 32
		assertEquals(v3, v4)
	)
)