/*
docCopyright("Steve Dekorte", 2002)
*/

#ifndef IOBlowfish_DEFINED
#define IOBlowfish_DEFINED 1

#include "IoObject.h"
#include "IoSeq.h"
#include "IoList.h"

#define ISBLOWFISH(self) IoObject_hasCloneFunc_(self, (TagCloneFunc *)IoBlowfish_rawClone)

typedef IoObject IoBlowfish;

IoTag *IoBlowfish_tag(void *state);
IoBlowfish *IoBlowfish_proto(void *state);
IoBlowfish *IoBlowfish_rawClone(IoBlowfish *self);
void IoBlowfish_free(IoBlowfish *self);

IoObject *IoBlowfish_encrypt(IoBlowfish *self, IoObject *locals, IoMessage *m);
IoObject *IoBlowfish_decrypt(IoBlowfish *self, IoObject *locals, IoMessage *m);

#endif
