Regex rSubstitute := method(source, findRegex, substituteRegex,
       if (Regex ?regexCache, Nop, Regex regexCache := Map clone)
       r := regexCache atIfAbsentPut (findRegex, Regex clone setPattern (findRegex)) // cache compiled regular expressions, for speed
       r setString (source asString)
       maxSubstitutionTerms := substituteRegex splitNoEmpties ("\\") count // a fast way of getting an upper bound on the number of substitution terms
       regexMap := Map clone
       result := source
       r allMatches foreach (i, v,
               if (v type != "List") then (v := list (v))
               for (n, maxSubstitutionTerms, 0,
                       groupN := v at (n)
                       regexMap atPut ("\\" .. n asString, groupN or "")
               )
               result := source replace (v at (0), substituteRegex replaceMap (regexMap))
       )
       result
)
