
DocsExtractor := Object clone do(
    init := method(
	self folder := Directory clone
	self outFile := File clone
    )

    extractDocsInPath := method(path,
	writeln("extracting io comment code from:")
	outFile setPath(Path with(path, "_ioCode/zzz_docs.io")) remove open 
	folder setPath(args at(0))
	sourceFiles foreach(file, 
	    writeln("  --- ", file name, " ---")
	    slices := file asString slicesBetween("/*#io", "*/")
	    code := slices join("\n") .. "\n)\n"
	    writeln("---------------------")
	    code println
	    //File close setPath("/Users/steve/out.io") remove open write(code) close
	    writeln("---------------------")
	    if (code containsSeq("("), 
		Lobby doString(code)
		outFile write(code)
	    )
	)
	outFile close
    )

    sourceFiles := method(
	folder files select(f, 
	    f name beginsWithSeq("Io") and (f name containsSeq("Init") isNil) and (f name pathExtension == "c")
	)
    )
)

DocsExtractor clone extractDocsInPath(args at(0))



